
Core - Bug # 46957

Status: Closed Priority: Must have
Author: Marcin Sągol Category: Extension Manager
Created: 2013-04-05 Assigned To:
Updated: 2013-10-27 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity:
Is Regression:
Sprint Focus:
Subject: EM: can't install/uninstall extensions
Description

Using latest git version i can't install or uninstall extensions. If i click on Activate icon the main area becames bussy (white overlay) for
few seconds and than just extension list is shown. If i try to download new extension it is downloaded but not activated and i can't
activate it. Im not sure if it is problem with cache or overal extension manager itself.

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22
related to Core - Bug # 54460: Unable to activate extension Closed 2013-12-16

History
#1 - 2013-04-06 01:58 - Felix Kopp
- Status changed from New to Needs Feedback

I can not confirm this.
Anyone else can confirm?

#2 - 2013-04-06 17:09 - Marcin Sągol

I'll try to investigate this a little bit more. For now i tested Install Tool Upgrade Wizard section and tried to install Recycler and Scheduler from there
(Install System Extensions). Sadly no effects - extensions are not installed.

#3 - 2013-04-06 17:27 - Marcin Sągol

From what i see extensions related database tables are created (news, CoolUri). Inside LocalConfiguration.php
file i have their configuration options set:

'EXT' => array(
  'extConf' => array(
    'cooluri' => 'a:0:{}',
    'news' => 'a:0:{}',
    'recycler' => 'a:0:{}',
    'saltedpasswords' => 'a:0:{}',
    'scheduler' => 'a:0:{}',
    'sys_action' => 'a:0:{}',
 ),
but they are not listed in

'EXT' => array(
  'extListArray' => array(
   ...
  )
);

#4 - 2013-04-09 16:20 - Alexander Opitz

Hi soee,

did you get your installation working and tried this again as discussed on IRC?

#5 - 2013-04-10 22:35 - Marcin Sągol

Hi Alexander,
no i didn't find solution. On this server i have 3 installations, none is able to install/uninstall extensions. All running the same latest git sources via
symlinks.

#6 - 2013-04-13 02:05 - Marcin Sągol

I just finished with reinstalling my VPS and doing configuration from scratch. I can install estensions now so probably it was server configuration
problem.

Please close this bug.

#7 - 2013-04-13 04:09 - Marcin Sągol

UPDATE: the reason of the problems was probably Zend Optimizer Plus. I'll check if my configuration was wrong or ZOP itself causes this problems.

#8 - 2013-04-13 14:04 - Marcin Sągol

The problem was caused by Zend Optimizer +.
To make it work i had to set this option: opcache.revalidate_freq= 0

#9 - 2013-04-15 12:27 - Alexander Opitz
- Status changed from Needs Feedback to Closed

Closed as requested, thanks for so much information on the cause.
